Skip to content

/api/v1/facilities/{facilityId}/routing/scans

POST
/api/v1/facilities/{facilityId}/routing/scans
curl --request POST \
--url https://example.com/api/v1/facilities/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/routing/scans \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "deviceEventId": "example", "scannerCode": "example", "containerCode": null, "journeyId": null, "occurredAt": null }'
facilityId
required
string format: uuid
object
deviceEventId
required
string
scannerCode
required
string
containerCode
string
nullable
journeyId
string format: uuid
nullable
occurredAt
string format: date-time
nullable

OK

object
journeyId
required
string format: uuid
nullable
containerCode
required
string
nullable
decision
required
string
Allowed values: Route Recirculate Exception None
decisionPointCode
required
string
nullable
exitNodeCode
required
string
nullable
destinationCode
required
string
nullable
routingExceptionId
required
string format: uuid
nullable

Bad Request

object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable

Not Found

object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable

Conflict

object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable

Service Unavailable